import request from '@/utils/request'
/**
 * 条件查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function pipempprodplanQuery(data) {
    return request({
      url: '/api/gxzz/pipempProdPlan/all',
      method: 'post',
      data
    })
  }


   /**
 * 删除
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
    export function pipmpprodplandelect(data) {
        return request({
          url: '/api/gxzz/pipempProdPlan/delect',
          method: 'post',
          data
        })
      }


      /**
 * 修改
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function pipempprodplanupdate(data) {
    return request({
      url: '/api/gxzz/pipempProdPlan/update',
      method: 'post',
      data
    })
  }


    /**
 * 增加
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function pipempprodplaninsert(data) {
    return request({
      url: '/api/gxzz/pipempProdPlan/insert',
      method: 'post',
      data
    })
  }

  /**
 * 审批
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
   export function pipempprodplanUploadSh(data) {
    return request({
      url: '/api/gxzz/pipempProdPlan/updateSelectSh',
      method: 'post',
      data
    })
  }
/**
 * 船只编号
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
 export function queryProject(data) {
  return request({
    url: '/api/gj/dmProject/getpro',
    method: 'post',
    data
  })
}


      


 
